Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling
[Java] Interface ProgressEvent

    public interface ProgressEvent

Some information about a piece of work of a long running operation.

Since:
  1.0-milestone-3

Method Summary
`String` | `getDescription()` A description of the current piece of work.

Method Detail

### getDescription

    public String getDescription()

  A description of the current piece of work.
  Returns:
    The description.
  Since:
    1.0-milestone-3

Gradle API 1.10